<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>CANFD_DriverMCB_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CANFD_DriverMCB_t Struct Reference<div class="ingroups"><a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r.html">CANFD Driver</a> &raquo; <a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">CANFD Driver Internal Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>CANFD Master Control Block.  
 <a href="struct_c_a_n_f_d___driver_m_c_b__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/canfd/include/canfd_internal.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ac8f0260cb5aa15585cb63b30e76061e3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8f0260cb5aa15585cb63b30e76061e3"></a>
<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga4764e24bf3f17f352e8b08783afd91f3">CANFD_DriverState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ac8f0260cb5aa15585cb63b30e76061e3">state</a></td></tr>
<tr class="memdesc:ac8f0260cb5aa15585cb63b30e76061e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">CANFD driver internal state. <br /></td></tr>
<tr class="separator:ac8f0260cb5aa15585cb63b30e76061e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad832ff0a5d8e2a5aba84682af7e52d6c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad832ff0a5d8e2a5aba84682af7e52d6c"></a>
<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac1991e37e1899899b883d90d2470d6cf">CANFD_HwCfg</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ad832ff0a5d8e2a5aba84682af7e52d6c">hwCfg</a></td></tr>
<tr class="memdesc:ad832ff0a5d8e2a5aba84682af7e52d6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hardware Configuration of the CAN instance. <br /></td></tr>
<tr class="separator:ad832ff0a5d8e2a5aba84682af7e52d6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c583777b6ad523585ed4f307418c1ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c583777b6ad523585ed4f307418c1ec"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a3c583777b6ad523585ed4f307418c1ec">mcanDataSize</a> [16]</td></tr>
<tr class="memdesc:a3c583777b6ad523585ed4f307418c1ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data Length to DLC mapping. <br /></td></tr>
<tr class="separator:a3c583777b6ad523585ed4f307418c1ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a819a5c61406f05f00b28e9dbcfd93"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a36a819a5c61406f05f00b28e9dbcfd93"></a>
struct <a class="el" href="struct_c_a_n_f_d___message_object__t.html">CANFD_MessageObject_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a36a819a5c61406f05f00b28e9dbcfd93">msgObjectHandle</a> [<a class="el" href="canfd__internal_8h.html#a3ba30c9687bc7715a9eca39bc708d242">MCAN_MAX_MSG_OBJECTS</a>]</td></tr>
<tr class="memdesc:a36a819a5c61406f05f00b28e9dbcfd93"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message object handle book keeping. <br /></td></tr>
<tr class="separator:a36a819a5c61406f05f00b28e9dbcfd93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9144381434a79644a80080fd2c78278f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9144381434a79644a80080fd2c78278f"></a>
struct <a class="el" href="struct_c_a_n_f_d___message_object__t.html">CANFD_MessageObject_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a9144381434a79644a80080fd2c78278f">txMapping</a> [<a class="el" href="canfd__internal_8h.html#a3ba30c9687bc7715a9eca39bc708d242">MCAN_MAX_MSG_OBJECTS</a>]</td></tr>
<tr class="memdesc:a9144381434a79644a80080fd2c78278f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx Mapping to message handles for transmit post processing. <br /></td></tr>
<tr class="separator:a9144381434a79644a80080fd2c78278f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfeb0ab393b887de775a4eee9f48e2e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfeb0ab393b887de775a4eee9f48e2e6"></a>
struct <a class="el" href="struct_c_a_n_f_d___message_object__t.html">CANFD_MessageObject_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#acfeb0ab393b887de775a4eee9f48e2e6">rxMapping</a> [<a class="el" href="canfd__internal_8h.html#a3ba30c9687bc7715a9eca39bc708d242">MCAN_MAX_MSG_OBJECTS</a>]</td></tr>
<tr class="memdesc:acfeb0ab393b887de775a4eee9f48e2e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rx Mapping to message handles for Rx processing. <br /></td></tr>
<tr class="separator:acfeb0ab393b887de775a4eee9f48e2e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91bfdd6503f626b12335cafbc2431f07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91bfdd6503f626b12335cafbc2431f07"></a>
HwiP_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a91bfdd6503f626b12335cafbc2431f07">hwiHandle0</a></td></tr>
<tr class="memdesc:a91bfdd6503f626b12335cafbc2431f07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Registered Interrupt Handler. Indicates if interrupt 0 is configured. This needs to be done only during the first message object create. Subsequent interrupts are enabled using interrupt muxing. <br /></td></tr>
<tr class="separator:a91bfdd6503f626b12335cafbc2431f07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e165e7935e5a73c3747ccd936c8e86"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab8e165e7935e5a73c3747ccd936c8e86"></a>
HwiP_Handle&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ab8e165e7935e5a73c3747ccd936c8e86">hwiHandle1</a></td></tr>
<tr class="memdesc:ab8e165e7935e5a73c3747ccd936c8e86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Registered Interrupt Handler. Indicates if interrupt 0 is configured. This needs to be done only during the first message object create. Subsequent interrupts are enabled using interrupt muxing. <br /></td></tr>
<tr class="separator:ab8e165e7935e5a73c3747ccd936c8e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad981ab7a87475342680e2b1e0e06331c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad981ab7a87475342680e2b1e0e06331c"></a>
<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa053469ab06533d1fb18387a8cf53652">CANFD_ErrStatusAppCallBack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ad981ab7a87475342680e2b1e0e06331c">appErrCallBack</a></td></tr>
<tr class="memdesc:ad981ab7a87475342680e2b1e0e06331c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver on error or status interrrupts. <br /></td></tr>
<tr class="separator:ad981ab7a87475342680e2b1e0e06331c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68169e4b5605dbc0ba314a9346e73e99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a68169e4b5605dbc0ba314a9346e73e99"></a>
<a class="el" href="group___c_a_n_f_d___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad81deb9ae020b101c9391b675e09cb5c">CANFD_DataAppCallBack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a68169e4b5605dbc0ba314a9346e73e99">appDataCallBack</a></td></tr>
<tr class="memdesc:a68169e4b5605dbc0ba314a9346e73e99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Application specified callback function which is invoked by the CANFD driver once Tx complete or data receive interrupt has been received. <br /></td></tr>
<tr class="separator:a68169e4b5605dbc0ba314a9346e73e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1deb7ddb318aabf21cf1defd7b256ba7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1deb7ddb318aabf21cf1defd7b256ba7"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a1deb7ddb318aabf21cf1defd7b256ba7">errStatusInterrupts</a></td></tr>
<tr class="memdesc:a1deb7ddb318aabf21cf1defd7b256ba7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of error and status interrupts received. <br /></td></tr>
<tr class="separator:a1deb7ddb318aabf21cf1defd7b256ba7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc44e040737875154db94395d809e970"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc44e040737875154db94395d809e970"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#acc44e040737875154db94395d809e970">interrupts</a></td></tr>
<tr class="memdesc:acc44e040737875154db94395d809e970"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of interrupts received for message Tx or Rx. <br /></td></tr>
<tr class="separator:acc44e040737875154db94395d809e970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21faeb6a73f28eb0b68f28e24db0ad99"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a21faeb6a73f28eb0b68f28e24db0ad99"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a21faeb6a73f28eb0b68f28e24db0ad99">eccInterrupts</a></td></tr>
<tr class="memdesc:a21faeb6a73f28eb0b68f28e24db0ad99"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of ECC interrupts received. <br /></td></tr>
<tr class="separator:a21faeb6a73f28eb0b68f28e24db0ad99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6f7a5c3695d4b6295a04b2af539b6a8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6f7a5c3695d4b6295a04b2af539b6a8"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ae6f7a5c3695d4b6295a04b2af539b6a8">busOffInterrupts</a></td></tr>
<tr class="memdesc:ae6f7a5c3695d4b6295a04b2af539b6a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Bus-Off interrupts received. <br /></td></tr>
<tr class="separator:ae6f7a5c3695d4b6295a04b2af539b6a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace7d1151c7538b176f9745f3b948d3e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace7d1151c7538b176f9745f3b948d3e5"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#ace7d1151c7538b176f9745f3b948d3e5">protoDataErrInterrupts</a></td></tr>
<tr class="memdesc:ace7d1151c7538b176f9745f3b948d3e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Protocol error in data phase interrupts received. <br /></td></tr>
<tr class="separator:ace7d1151c7538b176f9745f3b948d3e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafa2b28fdee26e4b71bf8b7362274f06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafa2b28fdee26e4b71bf8b7362274f06"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#aafa2b28fdee26e4b71bf8b7362274f06">protoArbErrInterrupts</a></td></tr>
<tr class="memdesc:aafa2b28fdee26e4b71bf8b7362274f06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of Protocol error in arbitration phase interrupts received. <br /></td></tr>
<tr class="separator:aafa2b28fdee26e4b71bf8b7362274f06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a917456ed58839274cbb5a6512f0d61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a917456ed58839274cbb5a6512f0d61"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_a_n_f_d___driver_m_c_b__t.html#a6a917456ed58839274cbb5a6512f0d61">txStatus</a> [<a class="el" href="canfd__internal_8h.html#a3ba30c9687bc7715a9eca39bc708d242">MCAN_MAX_MSG_OBJECTS</a>]</td></tr>
<tr class="memdesc:a6a917456ed58839274cbb5a6512f0d61"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tx Status of the message object. <br /></td></tr>
<tr class="separator:a6a917456ed58839274cbb5a6512f0d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>CANFD Master Control Block. </p>
<p>The structure describes the CANFD Driver and is used to hold the relevant information with respect to the CANFD module. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/canfd/include/<a class="el" href="canfd__internal_8h.html">canfd_internal.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
